------ Please ensure appropriate table names are used before running this script ---------

--------------- Create Temporary Event Table ----------------------------------

CREATE TABLE FFTABLETMP 
(
	EVNTID		varchar(255) not null primary key,
	EVNTSTAT	int,
	XID		    varchar(255),
	BQTOTAL		int,
    BQPROC		int,
	EVNTDATA	varchar(255)
);

-------------- Copy Data From Old Event Table Into Temporary Table ------------

INSERT INTO FFTABLETMP (EVNTID, EVNTSTAT, XID, BQTOTAL, BQPROC, EVNTDATA) SELECT EVNTID, EVNTSTAT, XID, BQTOTAL, BQPROC, EVNTDATA FROM FFTABLE;

-------------- Delete Old Event Table -----------------------------------------

DROP TABLE FFTABLE;

-------------- Create New Event Table -----------------------------------------

CREATE TABLE FFTABLE 
(
	EVNTID		varchar(255) not null primary key,
	EVNTSTAT	int,
	XID		    varchar(255),
	BOSRTPOS	bigint,
    BOENDPOS	bigint,
    TIMESTMP	timestamp,
	EVNTDATA	varchar(255)
);

------------ Copy Data From Temporary Table to New Event Table ----------------

INSERT INTO FFTABLE (EVNTID, EVNTSTAT, XID, EVNTDATA) SELECT EVNTID, EVNTSTAT, XID, EVNTDATA FROM FFTABLETMP;

------------ Delete Temporary Event Table -------------------------------------

DROP TABLE FFTABLETMP;